Subject: Splitdigest 2.0 released
From: Christopher Heng <[email-masked]>
Date: Tue, 10 May 1994 21:30:44 GMT
Newsgroups: comp.os.linux.announce

$Id: ANNOUNCEMENT,v 1.2 1994/05/09 02:41:29 chris Released $

                               SPLITDIGEST 2.0
                               ---------------

What is it?
-----------

Splitdigest undigests a mail folder which may contain one or more digest
files concatenated together. The result is that each of digest files are
extracted into its own file and placed into a form suitable for reading with
a mail user agent (such as with "mail -f" or "elm -f"). Each message in the
extracted digests can then be read and replied to individually.

Splitdigest can be easily extended to handle a variety of digest files
simultaneously simply by modifying its configuration file. No recompilation
is required. At present, splitdigest comes preconfigured to handle digests
sent by news-digests.mit.edu, the ANNOUNCE channel digest of linux-activists
and the MSDOS-Ann digest of SimTel.

This is a useful program to have if you are on mailing lists that distribute
their mail in digest formats. Splitdigest allows you to read and reply to
messages in those digests on an individual basis, thus making reading and
replying to mail in such digests more pleasant.

Differences from Undigest
-------------------------

Splitdigest differs from undigest in the following ways:

1. Splitdigest can handle folders with multiple digests concatenated
together. The present version of undigest that I have is not yet able to do
this.

2. Splitdigest relies on an external configuration file which is read at
runtime. This allows it to be easily configured to handle a variety of
digests with different formats. The templates for the names of the files to
be generated are also specified in the configuration file. The digest format
that undigest handles appears to be hard-wired into its code, and thus it is
unable to handle (without rewriting and recompiling) digests from
news-digests.mit.edu, etc. Undigest appears not to be able to handle
different digest formats simultaneously.

3. You can feed input to splitdigest in a pipe. Undigest currently cannot
operate on piped input. (This is a dubious benefit in splitdigest currently,
since I have not yet implemented the capability for it to output data
through a pipe!)

4. Splitdigest can handle multiple files specified on the command line.
Undigest handles one file at a time. (This is incidentally one of my prime
motivations for writing splitdigest's undigestion capabilities.)

5. And of course, the internal operation is completely different. (There are
undoubtedly other things that differ as well. This section is not meant to
be exhaustive.)

Where To Find It
----------------

I have uploaded splitdigest-2.0.tar.gz to sunsite.unc.edu. It is (at the
date of this notice) probably in the /pub/Linux/Incoming directory. I am
recommending that it be moved to:
	/pub/Linux/system/Mail

Copyright Policy
----------------

Splitdigest is Copyright (c) 1994 by Christopher Heng. All rights reserved.
It is released under the conditions of the GNU General Public License
version 2. In addition, you may not remove or alter any of the copyright
notices and/or conditions for use and distribution. There is absolutely no
warranty for the program, its documentation and its output. See the file
COPYING in the distribution for details.

How To Reach The Author
-----------------------

I can currently be reached at the following internet email address:
	[email-masked] (Christopher Heng, Singapore)

LSM entry
---------
Begin2
Title        = Splitdigest
Version      = 2.0
Desc1        = Splitdigest undigests a file which contains one or more digests
Desc2        = concatenated together. The files generated can be read by using
Desc3        = "mail -f" and each message in the digest can be read/replied to
Desc4        = as individual messages. Splitdigest can be easily configured to
Desc5        = recognise a variety of digest formats without recompilation.
Author       = Christopher Heng
AuthorEmail  = [email-masked]
Maintainer   = Christopher Heng
MaintEmail   = [email-masked]
Site1        = sunsite.unc.edu
Path1        = /pub/Linux/system/Mail
File1        = splitdigest-2.0.tar.gz
FileSize1    = 25k
Required1    = Any Unix or unix-clone.
Required2    = The GNU C compiler (version 2.X and above).
CopyPolicy1  = GNU General Public License version 2.
CopyPolicy2  = You may not remove or alter any of the copyright notices and/or
CopyPolicy3  = conditions for use and distribution.
Keywords     = digest, undigest, mail, mailing list
Entered      = 06MAY94
EnteredBy    = Christopher Heng
CheckedEmail = [email-masked]
End

--
Mail submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.
-- 
Subvert the Dominant Paradigm. Use Linux.